version: "3"

services:
  license_client:
    env_file: ../.env
    build: .
    working_dir: /app/license_client
    ports:
      - "3000:3000"
      - "6006:6006"
    volumes:
      - ../../:/app
      - node_modules:/app/license_client/node_modules
    expose:
      - "3000"
      - "6006"
    environment:
      - CHOKIDAR_USEPOLLING=true

# Data Volume として永続化する
volumes:
  node_modules:
